/* Articles section */

.articles__link {
  display: flex;
  align-items: center;
  width: fit-content;
  width: 100%;
  gap: 8px;
  padding: 4.5px 30px 4.5px 4px;
  font-family: Urbanist, sans-serif;
  font-weight: 500;
  font-style: Medium;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: 0%;
  background: linear-gradient(271.64deg, #71A0FD -7.22%, #2E2E92 99.45%);
  border-radius: 45px;
  margin-top: 20px;
}

.articles__link--arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 55px;
  min-height: 55px;
  border-radius: 50%;
  background:
    linear-gradient(75.45deg, #70CAC1 -7.36%, #C9F156 70.82%);

}

.articles__link--text {
  font-family: Urbanist, sans-serif;
  font-weight: 500;
  font-style: Medium;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: 0%;
  text-align: center;
  width: 100%;
  color: #C9F156;

}

.articles__wrapper {
  display: flex;
  flex-direction: column;
  gap: 40px;
  border-radius: 30px;
  max-width: 1480px;
  margin: 0 auto;
  padding: 30px 15px;
}

.articles__title {
  font-family: Urbanist, sans-serif;
  font-weight: 600;
  font-style: SemiBold;
  font-size: 26px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #21366B;
  text-align: center;

}

.articles__title--highlight {
  display: inline-block;
  text-align: center;
  padding: 4px 13px;
  border-radius: 26px;
  background: linear-gradient(85.93deg, #70CAC1 -33.07%, #C9F156 112.59%);
}

.articles__list {
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 40px;
  column-gap: 24px;
}

.articles__item-wrapper {
  display: flex;
  flex-direction: column;
  padding: 15px;
  background: linear-gradient(346.44deg, #FFFFFF 45.6%, #E6EBF6 148.46%), linear-gradient(0deg, #EEF3FF, #EEF3FF);

  border-radius: 28px;
}

.articles__item-img {
  display: block;
  width: 100%;
  height: 100%;
  max-width: 500px;
  margin: 0 auto;
  object-fit: cover;
  border-radius: 15px;
}

.articles__date {
  display: flex;
  width: fit-content;
  align-items: center;
  border-radius: 40px;
  gap: 4px;
  padding: 10px;
  background-color: #E6EBF6;
  margin-top: 20px;
}

.articles__date-icon {
  display: flex;
}


.articles__date-text {
  font-family: "Source Sans 3", sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 16px;
  line-height: 16px;
  letter-spacing: 0%;

  color: #446AC9;
}

.articles__item-title {
  margin-top: 20px;
  font-family: Urbanist, sans-serif;
  font-weight: 600;
  font-style: SemiBold;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #27448F;
}

.articles__item-description {
  margin-top: 12px;
  font-family: "Source Sans 3", sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #446AC9;
}

.articles__pagination-container {
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin-top: 40px;
}

.articles__load-more--mobile {
  display: block
}

.articles__load-more {
  font-family: Urbanist, sans-serif;
  font-weight: 500;
  font-style: Medium;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: 0%;
  text-align: center;
  width: 100%;
  padding: 22.5px 20px;
  color: #446AC9;
  background: transparent;
  border-radius: 45px;
  border: 1px solid #446AC9;
}

.articles__pagination-wrapper {
  display: flex;
  gap: 24px;
  justify-content: center;
  align-items: center;
}

.articles__pagination-numbers-list {
  display: flex;
  gap: 8px;
  justify-content: center;
  align-items: center;
}

.articles__pagination-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 55px;
  height: 55px;
  border-radius: 40.25px;
  background-color: #446AC9;
  border: none;
  cursor: pointer;
}

.articles__pagination-btn svg>path {
  fill: #FFFFFF;
}

.articles__pagination-btn.disabled svg>path,
.articles__pagination-btn:disabled svg>path {
  fill: #A1AECB;

}

.articles__pagination-btn.disabled,
.articles__pagination-btn:disabled {
  pointer-events: none;
}

.articles__pagination-number {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  border: none;
  color: #A1AECB;

  font-family: Urbanist, sans-serif;
  font-weight: 600;
  font-size: 24px;
  line-height: 100%;
  letter-spacing: 0%;
  cursor: pointer;
}

.articles__pagination-number.active,
.articles__pagination-number:hover {
  color: #446AC9;
}

/* Article main info section */

section.article {
  padding-top: 0;
}

.article__wrapper {
  display: flex;
  flex-direction: column-reverse;
  padding: 15px 15px 30px;
  border-radius: 28px;
  row-gap: 50px;
  background-color: #E6EBF6;
  max-width: 1480px;
  margin: 0 auto;
}

.article__calculator-wrapper {
  display: flex;
  justify-content: center;
}

.article__title {
  font-family: Urbanist, sans-serif;
  font-weight: 500;
  font-style: Medium;
  font-size: 32px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #27448F;
}

.article__date-container {
  margin-top: 24px;
}

.article__date {
  display: flex;
  width: fit-content;
  align-items: center;
  border-radius: 40px;
  gap: 4px;
  padding: 14px 10px;
  background-color: #FFFFFF;
  margin-top: 20px;
}

.article__date-icon {
  display: flex;
}


.article__date-text {
  font-family: "Source Sans 3", sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 16px;
  line-height: 16px;
  letter-spacing: 0%;

  color: #446AC9;
}

.article__image-container {
  display: block;
  width: 100%;
  margin-top: 40px;
}

.article__image {
  display: block;
  width: 100%;
  object-fit: contain;
}

.article__content-wrapper {
  margin-top: 40px;
}

.article__content-wrapper p {
  font-family: "Source Sans 3", sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 20px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #446AC9;
  margin-bottom: 30px;
}

.article__content-wrapper h2 {
  font-family: Urbanist, sans-serif;
  font-weight: 600;
  font-size: 26px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #21366B;
  margin-bottom: 24px;
}

.article__content-wrapper p:last-child {
  margin-bottom: 0;
}